#!/bin/bash

# Exit immediately if a command exits with a non-zero status.
set -e

# Download and install MinIO server
wget https://dl.min.io/server/minio/release/linux-amd64/minio -O /usr/local/bin/minio

# Make the MinIO binary executable
chmod +x /usr/local/bin/minio

# Restart the MinIO service
sudo systemctl restart minio

echo "MinIO server has been updated successfully."